{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZHARDWARE"
  },
  "caption" : "硬件",
  "codeName" : "IBIZHardwareIndexPickupView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZHardwareIndexPickupView.json",
  "funcViewMode" : "INDEXDEPICKUPVIEW",
  "name" : "IBIZHardwareIndexPickupView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "PickupView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "pickupviewpanel",
      "name" : "PICKUPVIEWPANEL",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSControls" : [ {
    "codeName" : "IndexPickupViewpickupviewpanel",
    "controlType" : "PICKUPVIEWPANEL",
    "getEmbeddedPSAppDEView" : {
      "accUserMode" : 2,
      "getCapPSLanguageRes" : {
        "lanResTag" : "DE.LNAME.IBIZHARDWARE"
      },
      "caption" : "硬件",
      "codeName" : "IBIZHardwareIndexPickupDataView",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZHardwareIndexPickupDataView.json",
      "mDCtrlActiveMode" : 2,
      "name" : "IBIZHardwareIndexPickupDataView",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
      },
      "getPSControls" : [ {
        "codeName" : "IndexType",
        "controlType" : "DATAVIEW",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create"
        },
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware/PSDATAVIEWS/IndexType.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch"
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load"
        },
        "groupMode" : "NONE",
        "logicName" : "索引实体选择数据视图",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchIndexDER"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "索引选择数据视图处理器"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "DATAVIEW"
        },
        "getPSDEDataViewDataItems" : [ {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "IBIZHARDWAREID",
            "codeName" : "IBIZHardwareId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "IBIZHARDWARENAME",
            "codeName" : "IBIZHardwareName"
          }
        } ],
        "pagingSize" : 1000,
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove"
        },
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update"
        },
        "hasWFDataItems" : false,
        "appendDEItems" : false,
        "enableCardEdit" : false,
        "enableCardEditGroup" : false,
        "enableCardEditOrder" : false,
        "enableCardNew" : false,
        "enableGroup" : false,
        "enablePagingBar" : false,
        "noSort" : false,
        "singleSelect" : false,
        "name" : "dataview",
        "modelid" : "82a7415e037a3538a5ec2b4efef5235a",
        "modeltype" : "PSDEDATAVIEW"
      } ],
      "getPSDEViewCodeName" : "IndexPickupDataView",
      "getPSDEViewId" : "4edbc0717701d29579955e3b302277e1",
      "getPSViewLayoutPanel" : {
        "codeName" : "Layoutpanel",
        "controlStyle" : "APPDEINDEXPICKUPDATAVIEW",
        "controlType" : "VIEWLAYOUTPANEL",
        "name" : "layoutpanel",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
        },
        "getPSControlParam" : { },
        "layoutBodyOnly" : true,
        "layoutPanel" : true,
        "useDefaultLayout" : true
      },
      "title" : "硬件索引关系选择数据视图",
      "getTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.IBIZHARDWARE.INDEXPICKUPDATAVIEW"
      },
      "viewStyle" : "DEFAULT",
      "viewType" : "DEINDEXPICKUPDATAVIEW",
      "xDataControlName" : "dataview",
      "enableDP" : true,
      "enableFilter" : false,
      "expandSearchForm" : true,
      "pickupMode" : true,
      "modelid" : "0173689599376f748203557242d223ed",
      "modeltype" : "PSAPPDEVIEW"
    },
    "hookEventNames" : [ "SELECTIONCHANGE", "LOAD", "ACTIVATED" ],
    "name" : "pickupviewpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SELECTIONCHANGE;LOAD;ACTIVATED",
      "logicTag" : "pickupviewpanel",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_pickupviewpanel",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "id" : "PICKUPVIEWPANEL"
    }
  } ],
  "getPSDEViewCodeName" : "IndexPickupView",
  "getPSDEViewId" : "45a3230b7cc89d658481f9d2879fac74",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEPICKUPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZHardware.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "硬件数据选择视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZHARDWARE.INDEXPICKUPVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEPICKUPVIEW",
  "enableDP" : true,
  "showCaptionBar" : false,
  "modelid" : "44aee99c5ccda7a302e6d2de6d7403e0",
  "modeltype" : "PSAPPDEVIEW"
}